function LoadBouncer()
	if Bouncer == nil then
		Bouncer = TActor.Create();
	end
		Bouncer.MouseControl = 0;
		Bouncer.LoadBaseMesh('Bouncer/Bouncer.smd');
		Bouncer.SetPosition(-50,25,-25);
		Bouncer.SetActor_Dummy_Position(0,0,0); 
		Bouncer.SetMeshScale(1,1,1); 
		Bouncer.AddAnimation('Bouncer/Bouncer_standing.smd');
		Bouncer.AddAnimation('Bouncer/Bouncer_talking.smd');
		Bouncer.AddAnimation('Bouncer/Bouncer_walking.smd'); 
		Bouncer.WalkingAnimation = 'Bouncer_walking'; 
		Bouncer.TalkingAnimation = 'Bouncer_talking'; 
		Bouncer.StandingAnimation = 'Bouncer_standing'; 
		Bouncer.CurrentAnimation = 'Bouncer_standing'; 
		Bouncer.Interval = 100;
		Bouncer.SetCollisionScale(8,22,8);
		Bouncer.WalkingSpeed = 500;
		Bouncer.WalkingInterval = 50;
		Bouncer.SetHandBones("Hand.L", "Hand.R"); 
		Bouncer.SetSpeechColorRGB(247,186,119);
		Bouncer.SpeechHeight =  330;
end

function onBouncerExamine()
	Sissy.Say("It's Mr Tough Guy.");
end

function onBouncerInteract()
	startConv ('SissyToBouncer');
end
function onBouncerUseInv()

	if heldInv == Photo then 
		
		if  knowsFirstGoal == 5 then
		
		BouncerPhotoCutsceneNearly()
		
		elseif knowsFirstGoal == 6 then
		StatusLineText.Text = '';
		BouncerPhotoCutscene()
				
		else
		BouncerPhotoCutsceneFail()
		
		end
	else
		UseInvFail();
	end
end

function BouncerPhotoCutsceneNearly()
	Sissy.Say ("I better convince\nhim I'm a hit first.", 3000);
end

function BouncerPhotoCutscene()

	Game.DisableScene = true;
	if Game.Width == 800 then
		Camera.FocalLength = close_small
	else
		Camera.FocalLength = close_big
	end
	Camera.SetPosition(145.098815917969,23.3728866577148,-262.798950195313);
	Camera.SetTargetPosition(-4.43428134918213,6.1128044128418,14.2738037109375);



	Sissy.WalkingAnimation = 'standing'; 
	Bouncer.WalkingAnimation = 'Bouncer_standing'; 
	
	Sissy.SetPosition(120.105850219727,22.4850654602051,-242.034210205078);
	Sissy.SetRotation(-102.884986877441,0,0);

	Bouncer.SetPosition(87.4300003051758,22.4660243988037,-249.511703491211);
	Bouncer.SetRotation(91.5999984741211,0,0);


	Olivetti.SetPosition(183.910003662109,22.4660549163818,-109.330001831055);
	Olivetti.SetRotation(67.1999969482422,0,0);
	PutAwayInv()
	dramaCam(function()
	Bouncer.SpeechHeight =  330;
		Sissy.Say ("Here's my picture...", 3000, 'BouncerGivePhoto');
		coroutine.yield()
		Bouncer.Say("Not bad...",3000)
		Bouncer.Say("Okay, kid.",3000)
		Bouncer.Say("I'll see what the boss says.",3000, 'BouncerWalkAway')
	end)	
end


function BouncerGivePhoto()
	Bouncer.AddAnimation('Bouncer/bouncer_take.smd')
	Sissy.RunBoneAnimation('sissy_give', 'none', 70)
	Bouncer.RunBoneAnimation('bouncer_take', 'BouncerEndGivePhoto', 70)
	LoseInv (Photo)
end

function BouncerGivePhoto()

	LoseInv (Photo)
	Photo.Visible = false;
	coroutine.resume (co_drama)
end

function BouncerWalkAway()
	Bouncer.WalkingAnimation = 'bouncer_walking'; 
	Bouncer.Walk(119.430000305176,22.5760097503662,-218.410003662109, 'BouncerWalkEnd');
	Game.SetTimer(Game.CurrentTime + 1,'BackToSissy')

end

function BackToSissy()

	Bouncer.Visible = false;
	if Game.Width == 800 then
		Camera.FocalLength = close_small
	else
		Camera.FocalLength = close_big
	end
	Camera.SetPosition(86.9513931274414,29.3858242034912,-273.925537109375);
	Camera.SetTargetPosition(-5.89746952056885,6.1265811920166,14.8053293228149);

	Sissy.Say ("Hmm...", 1000, 'CutToWide')

	end
	
function CutToWide()
Sissy.WalkingAnimation = 'walking'; 
 	if Game.Width == 800 then
		Camera.FocalLength = wide_small
	else
		Camera.FocalLength = wide_big
	end
	Camera.SetPosition(495.199981689453,33.7396011352539,-452.942840576172);
	Camera.SetTargetPosition(-27.1053657531738,46.5603103637695,8.6677885055542);


	Camera.FollowNone ();
	
	--Game.SetTimer(Game.CurrentTime + 2,'FadeToBlack')
	--Game.SetTimer(Game.CurrentTime + 5,'FadeIn')
	Sissy.PointTo (Bouncer.X, Sissy.Y, Bouncer.Z);
	Game.SetTimer(Game.CurrentTime + 1,'BouncerGoToSeeStack')	
	
end
	
	
	
function BouncerGoToSeeStack()

	Bouncer.Say ("Get in here, kid!", 3000, 'BouncerGoToSeeStack_2');

end


function BouncerGoToSeeStack_2()

	Sound.FadeOut (exterior, 5000)
	FadeToBlack()
	Game.SetTimer(Game.CurrentTime + 3,'GoInside')

end

function GoInside()

elevator = 1



CasinoInt.Load();

end

	function BouncerPhotoCutsceneFail()

	Game.DisableScene = true;
	if Game.Width == 800 then
		Camera.FocalLength = close_small
	else
		Camera.FocalLength = close_big
	end
	Camera.SetPosition(145.098815917969,23.3728866577148,-262.798950195313);
	Camera.SetTargetPosition(-4.43428134918213,6.1128044128418,14.2738037109375);



	Sissy.WalkingAnimation = 'standing'; 
	Bouncer.WalkingAnimation = 'Bouncer_standing'; 
	
	Sissy.SetPosition(120.105850219727,22.4850654602051,-242.034210205078);
	Sissy.SetRotation(-102.884986877441,0,0);

	Bouncer.SetPosition(87.4300003051758,22.4660243988037,-249.511703491211);
	Bouncer.SetRotation(98.5,0,0);

	Olivetti.SetPosition(183.910003662109,22.4660549163818,-109.330001831055);
	Olivetti.SetRotation(67.1999969482422,0,0);
	
	dramaCam(function()
		Bouncer.SpeechHeight =  330;
		Sissy.Say ("Here's my picture...", 3000);
		Bouncer.Say("I ain't interested...",3000)
		Bouncer.Say("Unless you're a top showgirl.",3000, 'BouncerEndPhotoCutsceneFail')

	end)	
end


function BouncerEndPhotoCutsceneFail()

 	if Game.Width == 800 then
		Camera.FocalLength = wide_small
	else
		Camera.FocalLength = wide_big
	end
 	Camera.SetPosition(244.187576293945,30.3454418182373,-423.053741455078)
	Camera.SetTargetPosition(0,10,0); 
 Camera.FollowActor(0);
 GUIActive = true;
 Sissy.SpeechHeight = 100;
 Bouncer.SpeechHeight = 100;
 	Sissy.WalkingAnimation = 'walking'; 
	Bouncer.WalkingAnimation = 'Bouncer_walking';
	Olivetti.WalkingAnimation = 'Olivetti_walking'; 

 Game.DisableScene = 0;

end


