function onEndscreenLoad() -- Executed every time room is loaded
	Sissy.Visible = 0;
	if Photo_A == nil then
		Photo_A= THudsprite.Create();
	end
	Photo_A.Load('photos/photo_bg.jpg');
	Photo_A.SetSize(800,600);
	--EndBackdrop.TransparencyMode = 0;
	Photo_A.SetPosition(400,300);
	Photo_A.Alpha = 1;
	Photo_A.Visible = 1;
	Photo_A.TransparencyMode = 3
	
	if Photo_B == nil then
		Photo_B = THudsprite.Create();
	end
	Photo_B.Load('photos/photo_bg_1.jpg');
	Photo_B.SetSize(800,600);
	--EndBackdrop.TransparencyMode = 0;
	Photo_B.SetPosition(400,300);
	Photo_B.Alpha = 0;
	Photo_B.Visible = 1;
	Photo_B.TransparencyMode = 3
	
	
	Blackout.Visible = true
	
	Sound.Play(endmusic,1);
  Sound.SetVolume(endmusic,40);
	Blackout.MoveLast();

	FadeIn()
	
	if EndType == 'good' then
		Game.SetTimer(Game.CurrentTime + 4,'Photo_Stack')
	elseif EndType == 'shot' then
		Game.SetTimer(Game.CurrentTime + 4,'Photo_1')	
	elseif EndType == 'drug' then
		Game.SetTimer(Game.CurrentTime + 4,'Photo_Drown')	
	end
	
end

function onEndscreenUnload()
  --MenuLogo.Destroy();
  --MenuStart.Destroy();
 -- MenuExit.Destroy();
  
  --MenuLogo = nil;
  --MenuStart = nil;
 
  --MenuExit = nil;
  --LoadGameGUI();
	Photo_A.Visible = false;
	Photo_B.Visible = false;
	Sound.FadeOut (endmusic, 5000)
	
	
end

function onEndscreenMouseDown()
 -- If User clicks anything else
end

function onEndscreenMouseMove() -- Basic GUI handling scripts in this room

end

function Photo_1()

Photo_B.RunAnimation(PhotoFade.ID);
Game.SetTimer(Game.CurrentTime + 2,'Photo_2')
end

function Photo_2()
Photo_A.Alpha = 0;
Photo_A.Load('photos/photo_bg_2.jpg');
Photo_A.MoveLast()
Photo_A.RunAnimation(PhotoFade.ID);

Game.SetTimer(Game.CurrentTime + 2,'Photo_3')
end

function Photo_3()
Photo_B.Alpha = 0;
Photo_B.Load('photos/photo_bg_3.jpg');
Photo_B.MoveLast()
Photo_B.RunAnimation(PhotoFade.ID);

Game.SetTimer(Game.CurrentTime + 2,'Photo_4')
end

function Photo_4()

Photo_A.Alpha = 0;
Photo_A.Load('photos/photo_bg_4.jpg');
Photo_A.MoveLast()
Photo_A.RunAnimation(PhotoFade.ID);
Photo_A.MoveFirst();
Photo_B.MoveFirst();

Game.SetTimer(Game.CurrentTime + 3,'BackToGame')
end

function Photo_Stack()
Photo_B.Load('photos/photo_bg_stack.jpg');
Photo_B.RunAnimation(PhotoFade.ID);
Game.SetTimer(Game.CurrentTime + 10,'Photo_Blowup')
end

function Photo_Blowup()
Photo_A.Alpha = 0;
Photo_A.Load('photos/photo_bg_stack_blowup.jpg');
Photo_A.MoveLast()
Photo_A.RunAnimation(PhotoFade.ID);
Game.SetTimer(Game.CurrentTime + 5,'Credits')
end

function Photo_Drown()

Photo_B.Load('photos/photo_bg_drown.jpg');
Photo_B.RunAnimation(PhotoFade.ID);
Photo_B.MoveFirst();
Photo_A.MoveFirst();
Game.SetTimer(Game.CurrentTime + 2,'BackToGame')

end

function BackToGame ()


startConv ('TryAgain');
end

function Credits()
Photo_B.Alpha = 0;
Photo_B.MoveLast()
Photo_B.Load('GUI/credits.jpg');
Photo_B.RunAnimation(PhotoFade.ID);
Game.SetTimer(Game.CurrentTime + 15,'TheEnd')

end

function TheEnd()

Game.Close()

end

