function LoadGUI()
--When game is loaded, GUI is first loaded.
  FPSText = THudtext.Create();
  FPSText.SetPosition(10,10);
  FPSText.HAlign = 'Left'; 
  FPSText.SetScale(0.4,0.4);
  FPSText.SetColorRGB(255,255,255);
  FPSText.Visible = false;
	--Game.Bind(VK_F1,'BigScreen',1);
  --Game.Bind(VK_F2,'SmallScreen',1);

	Game.Bind(Game.Ord('O'),'SaveGame',1);
  Game.Bind(Game.Ord('L'),'LoadGame',1);

  Game.Bind(Game.Ord('A'),'Left');
  Game.Bind(Game.Ord('D'),'Right');
  Game.Bind(Game.Ord('W'),'Up');
	Game.Bind(Game.Ord('S'),'Down');
  
  Game.Bind(VK_LEFT,'Left');
  Game.Bind(VK_RIGHT,'Right');
  Game.Bind(VK_UP,'Up');
  Game.Bind(VK_DOWN,'Down');
	
	Game.Bind( VK_ESCAPE ,'Escape');
 

  Game.Bind(VK_RETURN,'Action3');  
  Game.Bind(VK_MBUTTON,'Action3');
 
 	Game.Bind(VK_SPACE,'Action1');  
  Game.Bind(VK_LBUTTON,'Action1');

	Game.Bind(VK_RBUTTON,'Action2');
  Game.Bind(Game.Ord('E'),'Action2');

	
	
	
	
	--Game.MouseEnabled = false;

  -- Creating GUI for Conversations
  
	if NewConv == nil then
		NewConv = TConversation.Create();
			 
		ConvBackground = THudsprite.Create();
		ConvBackground.Load("GUI/black.png"); 
		ConvBackground.SetSize(1280,140,0);
		ConvBackground.SetPosition(512,456,0);
		ConvBackground.TransparencyMode = 3;
		ConvBackground.Alpha = 0.7; 
		ConvBackground.Visible = 0;

		
		if Option01 == nil then
			Option01 = THudtext.Create(); 
		end

		if Option02 == nil then
			Option01 = THudtext.Create(); 
		end

		if Option03 == nil then
			Option01 = THudtext.Create(); 
		end

		if Option04 == nil then
			Option01 = THudtext.Create(); 
		end		
		
		Option01.SetPosition(40,408,0);
		Option01.Text = 'Conversation option 01';
		Option01.HAlign = 'Left'; 
		Option02 = THudtext.Create(); 
		Option02.SetPosition(40,438,0);
		Option02.Text = 'Conversation option 02';
		Option02.HAlign = 'Left'; 
		Option03 = THudtext.Create();
		Option03.SetPosition(40,468,0);
		Option03.Text = 'Conversation option 03';
		Option03.HAlign = 'Left'; 
		Option04 = THudtext.Create();
		Option04.SetPosition(40,498,0);
		Option04.Text = 'Conversation option 04';
		Option04.HAlign = 'Left'; 
		Option01.Visible = 0;
		Option02.Visible = 0;
		Option03.Visible = 0;
		Option04.Visible = 0;
		
		selectOption(Option01);
		
		NewConv.BindHudtext(Option01.ID);
		NewConv.BindHudtext(Option02.ID);
		NewConv.BindHudtext(Option03.ID);
		NewConv.BindHudtext(Option04.ID);
	 
		ConvUp = THudsprite.Create();
		ConvUp.Load('GUI/convup.png');
		ConvUp.SetSize(50,50);
		ConvUp.TransparencyMode = 3;
		ConvUp.SetPosition(22,405);
		ConvUp.Visible = 0;
		NewConv.UpSprite = ConvUp.ID;
	 
		ConvDown = THudsprite.Create();
		ConvDown.Load('GUI/convdown.png');
		ConvDown.SetSize(50,50);
		ConvDown.TransparencyMode = 3;
		ConvDown.SetPosition(22,500);
		ConvDown.Visible = 0;
		NewConv.DownSprite = ConvDown.ID;
	  
		ButtonInvHighlight = THudsprite.Create();
		ButtonInvHighlight.Load('GUI/button_Use.png');
		ButtonInvHighlight.SetPosition(134,258,0);
		ButtonInvHighlight.SetRotation(0,0,0);
		ButtonInvHighlight.SetSize(75,75);
		ButtonInvHighlight.TransparencyMode = 3;
		ButtonInvHighlight.Visible = false;
		
		
		--[[
		-------------------------*************
		Game.Bind(Game.Ord('0'),'Cheat0');
		Game.Bind(Game.Ord('1'),'Cheat1');
		Game.Bind(Game.Ord('2'),'Cheat2');
		Game.Bind(Game.Ord('3'),'Cheat3');
		--------------------------***********
		
		]]--
				
	end
    
end

--------------------------**********

--[[
function Cheat0()


AddInv (Cam)
Cam.Visible = true;

end

function Cheat1()


LoseInv (Cam)
Cam.Visible = true;

end
function Cheat2()


AddInv (Footlight)
Footlight.Visible = true;

end
function Cheat3()


AddInv (Photo)
Photo.Visible = true;
knowsFirstGoal =6

end
-----------------------***********

]]--


function LoadGameGUI() -- Here is game interface

	
	Blackout = THudsprite.Create();
	Blackout.Load("GUI/white.png");
	Blackout.SetSize(2000,2000,1);
	Blackout.SetPosition(500,0,0);
	Blackout.TransparencyMode = 3;
	Blackout.Alpha = 1; 
	Blackout.Visible = 0;
	
	TopBar = THudsprite.Create();
	TopBar.Load("GUI/black.png");
	TopBar.SetSize(800,75,1);
	TopBar.SetPosition(400,37.5,1);
	TopBar.TransparencyMode = 3;
	TopBar.Alpha = 1; 
	TopBar.Visible = 1;
	
	BottomBar = THudsprite.Create();
	BottomBar.Load("GUI/black.png");
	BottomBar.SetSize(800,75,1);
	BottomBar.SetPosition(400,563,1);
	BottomBar.TransparencyMode = 3;
	BottomBar.Alpha = 1; 
	BottomBar.Visible = 1;

	
	
	TransBackground = THudsprite.Create();
	TransBackground.Load("GUI/vignette.png");
	TransBackground.SetSize(800,600,1);
	TransBackground.SetPosition(400,300,0);
	TransBackground.TransparencyMode = 3;
	TransBackground.Alpha = 1; 
	TransBackground.Visible = 1;
	TransBackground.OnMouseWheel = 'onMouseScroll';
	TransBackground.OnMouseDown = 'nofunction';		


  SissyInv = TInventory.Create(); -- Let's create new inventory for Sissy
	SissyInv.SetPosition(-1,-0.5, 2);
	SissyInv.SetRotation(0,0,140);
  SissyInv.SetScale(0.025,0.025,0.025);
	SissyInv.XCount = 6;
	SissyInv.XOffset = 16;
	SissyInv.YCount = 1;
	SissyInv.YOffset = 0;
	SissyInv.Visible = false;
	
	
	SpareInv = TInventory.Create(); -- Let's create new inventory for Sissy
	SpareInv.Visible = false;
	
  StatusLineText = THudtext.Create();
  StatusLineText.SetPosition(400,550,0);
  StatusLineText.SetScale(0.8,0.8);
  StatusLineText.Text = '';

   -- Since FPSText was created first, it is rendered first. So We want to move it to last in rendering queue
	TransBackground.MoveLast()
	Option01.MoveLast();
	Option02.MoveLast()
	Option03.MoveLast()
	Option04.MoveLast()
	Blackout.MoveLast()
	FPSText.MoveLast();
	Game.MouseVisible = false;
	
  GameGUICreated = 1;
	
end


function OnGUIProgress()

	Game.MouseX = 0;
	Game.MouseY = 0;
  -- Here comes all GUI handling routines. Cursor changes etc.

  -- Showing FPS
  FPSText.Text = 'FPS: ' .. string.format("%.1f",Game.FPS) .. ' Time: ' .. string.format("%.1f",Game.CurrentTime);
  
  --if Game.MouseEnabled == "False" then -- must wait!
  
   --Game.SetMouseCursor('GUI/trans');
   --Game.SetMouseOffset(0,0);
   
  --else
  
   --Game.SetMouseCursor('GUI/Mouse.png');
   --Game.SetMouseOffset(32,32);
   
	--end
--[[
	if GUIActive then
		if currentFocus ~= nil then
			ButtonLook.Alpha = 0.8;
			ButtonInteract.Alpha = 0.8;
			
		else
			ButtonLook.Alpha = 0.2;
			ButtonInteract.Alpha = 0.2;
		end
	else
			ButtonLook.Alpha = 0;
			ButtonInteract.Alpha = 0;
			StatusLineText.Text = ''
	end
	
	]]--
--[[	
	if Game.DisableScene == "True" then
		TransBackground.MoveLast()
	else
		TransBackground.MoveFirst()
	end
]]--
end

function onGeneralBeforeLoad()
  HideGameStateText();
end

function onGeneralAfterLoad()
  if GameStateText == nil then
   GameStateText = THudtext.Create();
  end
  GameStateText.SetPosition(400,30);
  GameStateText.SetScale(1.1,1.1);
  GameStateText.Text = 'Game loaded';
  GameStateText.MoveLast();
  GameStateText.RunAnimation(FadeOutDiagAni.ID,'HideGameStateText');
	
	local loop = 0
	
	local count = SissyInv.Count
	
	
	while loop < count do
		
		--Game.LOG ('empty')
		--Game.LOG (loop)
		local X = GetInv(0)
		--Game.LOG (X.Hint)
		X.InInventory = SpareInv.ID
		loop = loop +1
	end
	
	loop = 0
	
	while loop < count do
		
		--Game.LOG ('refill')
		--Game.LOG (loop)
		local X = _G[Game.GetMeshName(SpareInv.GetMeshID(0))]
		--Game.LOG (X.Hint)
		X.InInventory = SissyInv.ID
		loop = loop +1
		end
	
	Blackout.Visible = false;
	BlackoutAlpha = 0.0;
end


function onGeneralBeforeSave()
  HideGameStateText();
end

function onGeneralAfterSave()
  if GameStateText == nil then
   GameStateText = THudtext.Create();
  end
  GameStateText.SetPosition(400,30);
  GameStateText.SetScale(1.1,1.1);
  GameStateText.Text = 'Game saved';
  GameStateText.MoveLast();
  GameStateText.RunAnimation(FadeOutDiagAni.ID,'HideGameStateText');
end

function HideGameStateText()
  if GameStateText ~= nil then
      GameStateText.AbortAnimation(FadeOutDiagAni.ID);
      GameStateText.Destroy();
  end
  GameStateText = nil;
end

function SaveGame()
  --if Game.CurrentRoom ~='MainMenu' then
    Game.SaveGame('player.sav');
  --end
end

function LoadGame()
	--Sound.StopAll()
  Game.LoadGame('player.sav');
end

-- Control Functions

function Left()
	if Game.DisableScene == "False" and fading ~= 1 then
		Sissy.TurnAngle = Sissy.TurnAngle + 150*Game.Deltatime;
	elseif SissyInv.Visible == "True" then	
		Game.Bind(Game.Ord('A'),'LeftReset', 1);
		Game.Bind(VK_LEFT,'LeftReset', 1);
		scrollInv ('left')
		Game.SetTimer (Game.CurrentTime+0.3, 'LeftTimerReset');
	end
end

function LeftReset()
		cancelTimer = true;
		Game.Bind(Game.Ord('A'),'Left');
		Game.Bind(VK_LEFT,'Left');
end

function LeftTimerReset()

	if cancelTimer == false then
		Game.Bind(Game.Ord('A'),'Left');
		Game.Bind(VK_LEFT,'Left');
	else
		cancelTimer = false;
	end
end


function Right()
	if Game.DisableScene == "False" and fading ~= 1 then
		Sissy.TurnAngle = Sissy.TurnAngle - 150*Game.Deltatime;
	elseif SissyInv.Visible == "True" then
		Game.Bind(Game.Ord('D'),'RightReset', 1);
		Game.Bind(VK_RIGHT,'RightReset', 1);
		scrollInv ('right')
		Game.SetTimer (Game.CurrentTime+0.3, 'RightTimerReset');
	end
end

function RightReset()
		cancelTimer = true;
		Game.Bind(Game.Ord('D'),'Right');
		Game.Bind(VK_RIGHT,'Right');
end

function RightTimerReset()

	if cancelTimer == false then
		Game.Bind(Game.Ord('D'),'Right');
		Game.Bind(VK_RIGHT,'Right');
	else
		cancelTimer = false;
	end
end

function Up()
	if Game.DisableScene == "False" and fading ~= 1 then
		if Sissy.WalkingAnimation ~= 'walking' then
			Sissy.WalkingAnimation = 'walking';
		else
			Sissy.ApplyForce(0,0,2*Sissy.Walkingspeed);
		end
	else
	Game.Bind(Game.Ord ('W'),'UpReset', 1);
	Game.Bind(VK_UP,'UpReset', 1);
	scrollConv ('up')
	Game.SetTimer (Game.CurrentTime+0.2, 'UpTimerReset');
	end
end

function UpReset()
	Game.Bind(Game.Ord ('W'),'Up');
	Game.Bind(VK_UP,'Up');
	cancelTimer = true;
end

function UpTimerReset()

	if cancelTimer == false then
		Game.Bind(Game.Ord ('W'),'Up');
		Game.Bind(VK_UP,'Up');
	else
		cancelTimer = false;
	end
end

function Down()

	if Game.DisableScene == "False" and fading ~= 1 then	

		if Sissy.WalkingAnimation ~= 'walking_back' then
			if Sissy.CurrentAnimation == 'idle' then
				Sissy.WalkingAnimation = 'walking_back'
			end
		else
			Sissy.ApplyForce(0,0,-1*Sissy.Walkingspeed);
		end		
	else
	Game.Bind(Game.Ord ('S'),'DownReset', 1);
	Game.Bind(VK_DOWN,'DownReset', 1);
	scrollConv ('down')
	Game.SetTimer (Game.CurrentTime+0.3, 'DownTimerReset');
	end
end

function DownReset()
		Game.Bind(Game.Ord ('S'),'Down');
		Game.Bind(VK_DOWN,'Down');
		cancelTimer = true;
end

function DownTimerReset()

	if cancelTimer == false then
		Game.Bind(Game.Ord ('S'),'Down');
		Game.Bind(VK_DOWN,'Down');
	else
		cancelTimer = false;
	end
end

function Action1()

	Game.Bind(VK_LBUTTON,'Action1Reset', 1);
	Game.Bind(VK_SPACE,'Action1Reset', 1);

	if Game.DisableScene == "False" and fading ~= 1 then
	
		if currentFocus ~= nil then
			if Sissy.CurrentAnimation ~= 'talking' then 
				if heldInv == nil and fading ~=1 then
					Game.CallFunction ('on' .. currentFocus .. 'Interact');
				else
					Game.CallFunction ('on' .. currentFocus .. 'UseInv');
				end
			end
		end
	elseif Option01.Visible == 'True' then
		if selectedOption==Option01.ID then 
			Game.CallFunction (Option01.OnMouseUp)
		elseif selectedOption==Option02.ID then 
			Game.CallFunction (Option02.OnMouseUp)
		elseif selectedOption==Option03.ID then 
			Game.CallFunction (Option03.OnMouseUp)
		elseif selectedOption==Option04.ID then 
			Game.CallFunction (Option04.OnMouseUp)
		end
	elseif SissyInv.Visible == 'True' then
		SelectInv()	
	end
	selectOption(Option01);
	
end

function Action1Reset()

	Game.Bind(VK_LBUTTON,'Action1');
	Game.Bind(VK_SPACE,'Action1');

end

function Action2()
	Game.Bind(VK_RBUTTON, 'Action2Reset', 1);
	Game.Bind(Game.Ord('E'),'Action2Reset', 1);

	if Game.DisableScene == "False" and fading ~= 1 then
	
		if Sissy.CurrentAnimation == 'talking' then
			Game.SkipToNextConversation();
		elseif currentFocus ~= nil then
			
			if Sissy.CurrentAnimation ~= 'talking' then
				Game.CallFunction ('on' .. currentFocus .. 'Examine');
			end
		end
	elseif SissyInv.Visible == 'True' then
		if Sissy.CurrentAnimation == 'talking' then
			Game.SkipToNextConversation();	
		else 
			ExamineInv()	
		end
	else
		Game.SkipToNextConversation();
	end
	
end

function Action2Reset()
	Game.Bind(VK_RBUTTON, 'Action2');
	Game.Bind(Game.Ord('E'),'Action2');
end

function Action3()
Game.Bind(VK_RETURN, 'Action3Reset', 1);
Game.Bind(VK_MBUTTON,'Action3Reset', 1);

	if Game.DisableScene == 'False' and fading ~= 1 then
	
		if heldInv ~= nil then
		
			PutAwayInv ()

		elseif SissyInv.Count > 0 then
			--invActive = 1;
			GUIActive = 0;
			Game.DisableScene = 1;
			SissyInv.Visible = true;
			ButtonInvHighlight.Visible = true;
			--StatusLineText.Text = invTable[invFocus].Hint;
			StatusLineText.Text = GetInv(invFocus-1).Hint
			--invFocus = 1;
		else
			Sissy.Say ("I got nothing.");
		end
	
	elseif SissyInv.Visible == 'True' then

		Game.DisableScene = 0;
		SissyInv.Visible = 0;
		ButtonInvHighlight.Visible = 0;
		
	end

end

function Action3Reset()
	Game.Bind(VK_RETURN, 'Action3');
	Game.Bind(VK_MBUTTON,'Action3');

end

function onMouseScroll (delta)
	if SissyInv.Visible == "True" then
		if delta < 0 then
				scrollInv ('right')
		else
				scrollInv ('left')
		end
		
	elseif Option01.Visible == "True" then
	
		if delta < 0 then
			scrollConv ('down')

		else
			scrollConv ('up')
		end
	end
	
end

function scrollInv (dir)
	if dir == 'left' then
	
		if invFocus > 1 then
			
			if Game.Width == 800 then		
				ButtonInvHighlight.X = ButtonInvHighlight.X - 107;
			else
				ButtonInvHighlight.X = ButtonInvHighlight.X + 295;
			end
			invFocus = invFocus - 1;
		end
	
	elseif dir == 'right' then
	
		if invFocus < SissyInv.Count then
			if Game.Width == 800 then
				ButtonInvHighlight.X = ButtonInvHighlight.X + 107;
			else
				ButtonInvHighlight.X = ButtonInvHighlight.X + 295;
			end
			invFocus = invFocus + 1;
		end	
	
	end
	--StatusLineText.Text = invTable[invFocus].Hint;
	StatusLineText.Text = GetInv(invFocus-1).Hint
end

function onConvDownMouseUp()
 NewConv.MoveDown();
end

function onConvUpMouseUp()
 NewConv.MoveUp();
end


function BigScreen()
	TopBar.SetSize (1280, 25);
	TopBar.SetPosition(640,12.5,1);

	BottomBar.SetSize (1280, 25);
	BottomBar.SetPosition(640,707.5,1);

	StatusLineText.SetPosition(640,650,0);
	StatusLineText.SetScale(1,1);

	ConvBackground.SetPosition(640,625,0);
	Option01.SetPosition(40,577,0);
	Option02.SetPosition(40,607,0);
	Option03.SetPosition(40,637,0);
	Option04.SetPosition(40,667,0);

	invFocus = 1;
	ButtonInvHighlight.X = 322;
	ButtonInvHighlight.Y = 300;
	
	ConvDown.SetPosition(22,675);
	ConvUp.SetPosition(22,575);
	
	if Camera.FocalLength == wide_small then
		Camera.FocalLength = wide_big
	elseif Camera.FocalLength == close_small then 
		Camera.FocalLength = close_big
	end
	
	TransBackground.SetScale(1280,720,1);
	TransBackground.SetPosition(640,360,0);
	
	
	Game.Width = 1280;
	Game.Height = 720;
	



end


function SmallScreen()
	TopBar.SetSize(800,75,1);
	TopBar.SetPosition(400,37.5,1);

	BottomBar.SetSize(800,75,1);
	BottomBar.SetPosition(400,563,1);

	StatusLineText.SetPosition(400,550,0);
	StatusLineText.SetScale(0.8,0.8);
	ConvBackground.SetPosition(512,456,0);
	Option01.SetPosition(40,408,0);
	Option02.SetPosition(40,438,0);
	Option03.SetPosition(40,468,0);
	Option04.SetPosition(40,498,0);

	SissyInv.SetPosition(-1,-0.5, 2);

	invFocus = 1;
	ButtonInvHighlight.X = 134;
	ButtonInvHighlight.Y = 258;
	
	ConvDown.SetPosition(22,500);
	ConvUp.SetPosition(22,405);
	
	if Camera.FocalLength == wide_big then
		Camera.FocalLength = wide_small;
	elseif Camera.FocalLength == close_big then 
		Camera.FocalLength = close_small;
	end

	TransBackground.SetScale(800,600,1);
	TransBackground.SetPosition(400,300,0);
	
	
	Game.Width = 800;
	Game.Height = 600;
end
--Dialogue Functions

function selectOption(option)
	
	if option == Option01 then
		selectedOption = Option01.ID;
		Option01.SetColorRGB(200,150,200); 
		Option02.SetColorRGB(150,150,150); 
		Option03.SetColorRGB(150,150,150); 
		Option04.SetColorRGB(150,150,150);
	end
	
	if option == Option02 then
		selectedOption = Option02.ID;
		Option01.SetColorRGB(150,150,150); 
		Option02.SetColorRGB(200,150,200); 
		Option03.SetColorRGB(150,150,150); 
		Option04.SetColorRGB(150,150,150); 

	end

	if option == Option03 then
		selectedOption = Option03.ID;
		Option01.SetColorRGB(150,150,150); 
		Option02.SetColorRGB(150,150,150); 
		Option03.SetColorRGB(200,150,200); 
		Option04.SetColorRGB(150,150,150); 

	end

	if option == Option04 then
		selectedOption = Option04.ID;
		Option01.SetColorRGB(150,150,150); 
		Option02.SetColorRGB(150,150,150); 
		Option03.SetColorRGB(150,150,150); 
		Option04.SetColorRGB(200,150,200); 

	end
	
end

function startConv(conv)

GUIActive = 0;
Game.DisableScene = 1;
StatusLineText.Text = '';
ConvBackground.Alpha = 0;
ConvBackground.Visible = 1;
ConvBackground.RunAnimation(FadeInDiagAni.ID, "InitConv_" .. conv);

end

function scrollConv (dir)

	--updateHighlights()

	if dir == 'up' then
		if selectedOption == Option01.ID then
			if ConvUp.Visible == 'True' then
				onConvUpMouseUp()
			end
		elseif selectedOption == Option02.ID then
			selectOption(Option01);
		elseif selectedOption == Option03.ID then
			selectOption(Option02);
		elseif selectedOption == Option04.ID then
			selectOption(Option03);
		end
		
	elseif dir == 'down' then
		if selectedOption == Option04.ID then
			if ConvDown.Visible == 'True' then
				onConvDownMouseUp()
			end
		elseif selectedOption == Option01.ID and Option02.Visible == 'True' then
			selectOption(Option02);
		elseif selectedOption == Option02.ID and Option03.Visible == 'True' then
			selectOption(Option03);
		elseif selectedOption == Option03.ID and Option04.Visible == 'True'  then
			selectOption(Option04);
		end
	end
end

function Escape()
	if Game.DisableScene ~= "True" and fading ~= 1 then
		startConv ('PressEscape');
	end

end