function LoadSissy()
	if Sissy == nil then
		Sissy = TActor.Create();
		Sissy.MouseControl = 0;

		Sissy.LoadBaseMesh('Sissy/Sissy.smd');
		Sissy.SetActor_Dummy_Position(0,0,0); 
		Sissy.SetMeshScale(1,1,1); 

		Sissy.AddAnimation('Sissy/standing.smd');
		Sissy.AddAnimation('Sissy/talking.smd');
		Sissy.AddAnimation('Sissy/walking.smd'); 
		Sissy.AddAnimation('Sissy/walking_back.smd');
		Sissy.AddAnimation('Sissy/idle.smd');

		Sissy.AddAnimation('Sissy/sissy_take.smd');
		Sissy.AddAnimation('Sissy/sissy_stand_drink.smd');
		Sissy.AddAnimation('Sissy/sissy_drink_talk.smd');
		Sissy.AddAnimation('Sissy/sissy_drink.smd');
		Sissy.AddAnimation('Sissy/sissy_give.smd');	


		Sissy.StandingAnimation = 'idle'; 
		Sissy.WalkingAnimation = 'walking'; 
		Sissy.TalkingAnimation = 'talking'; 

		Sissy.Interval = 10;
		Sissy.StandingInterval = 100;
		Sissy.SetCollisionScale(8,22,8);
		Sissy.WalkingSpeed = 500;
		Sissy.WalkingInterval = 50;
		Sissy.SetHandBones("Finger_B_1.L", "Finger_B_1.R"); 
		Sissy.SetSpeechColorRGB(200,150,200);
		Sissy.SpeechHeight = 100;
	end
end