-- This Config file should be compiled before distributing to end-user.

Game = TGame.Create(); --This line is compulsary!

Sound = TSound.Create(); -- Create handler for Sound (and music)
Camera = TCamera.Create(); --Create handler for Camera
Game.Debug = 0; -- Set this to 0 when distributing to end user!

Game.Caption = 'I was a Vegas Showgirl'; --Sets window caption
Game.Title = 'Showgirl'; -- Set taskbar button title
Game.Width = 800;
Game.Height = 600;
Game.GUIScript = 'GUI.lua';

Game.LoadScript('scripts/globals.lua');

Game.LoadScript('scripts/GUI.lua'); -- Loads the GUI
LoadGUI();
Game.LoadScript('scripts/onGameLoad.lua'); -- Loads the game

Game.LoadScript('scripts/Inventory.lua');


Game.SetMouseCursor('GUI/mouse.bmp'); --Set default mousecursor
Game.SetMouseOffset(32,32);

