function onApartmentLoad() -- Executed every time Room is loaded
	LoadLee()
	LoadOlivetti()
	LoadLyons()
	LoadSissy()
	LoadPanel()
	Blackout.Visible = true;
	Blackout.Alpha = 1;

	Game.SetFogRGB (0,0,0); 
	Game.SetBackgroundRGB (0,0,0); 
	
	Skybox = TSkybox.Create();
	Skybox.LoadTextures('skybox/sky.jpg');
	
	Camera.SetPosition(88.8400573730469,111.089172363281,13.018533706665);
	Camera.SetTargetPosition(75.6634063720703,112.096801757813,47.316032409668);
	--Camera

	--Camera.SetPosition(70,30,30); -- SetPosition(x,y,z:float;const SmoothTransition:boolean);
	
	--Camera.SetTargetPosition(0,10,0); 
  --Camera.FollowActor(Sissy.ID); -- Makes Camera follow Sissy
	
	Camera.DepthOfView = 3000;
	Game.FogStart = 100;
	Game.FogEnd = 2000;
		
	if Skybox == nil then
		Skybox = TSkybox.Create();
		Skybox.LoadTextures('skybox/sky.jpg');
	end
		
--Lights

	Light1.LightStyle = 1;
	Light1.LinearAttenuation = 0;
	Light1.ConstAttenuation = 0.25;
	Light1.QuadraticAttenuation = 0;
	Light1.SpotExponent = 0;
	Light1.SpotCutOff = 0;
	Light1.SetDiffuseRGB(216,223,226);
	Light1.SetAmbientRGB(75,99,112);



	Light1.SetShadowRGB(0,0,50,0.9); --Shadow color (Red,Green,Blue,Alpha:[0..1]), default (0,0,0,0.5) 0.5 = alpha
	Light1.Enabled = true 
	Light1.SetPosition(101.900001525879,155,-47.5);
		
	Light2.LightStyle = 1;
	Light2.LinearAttenuation = 0.008;
	Light2.ConstAttenuation = 0;
	Light2.QuadraticAttenuation = 0;
	Light2.SpotExponent = 0;
	Light2.SpotCutOff = 0;
	Light2.SetDiffuseRGB(219,219,202);
	Light2.SetAmbientRGB(50,55,78);

	
	
	Light2.SetShadowRGB(0,0,50,0.1); --Shadow color (Red,Green,Blue,Alpha:[0..1]), default (0,0,0,0.5) 0.5 = alpha
	Light2.SetPosition(171,116.5,-272.5);

	Light2.ShadowEnabled = false;
	Light2.Enabled = true

	Light_amb.LightStyle = 2;
	Light_amb.LinearAttenuation = 0;
	Light_amb.ConstAttenuation = 0;
	Light_amb.QuadraticAttenuation = 0;
	Light_amb.SpotExponent = 100;
	Light_amb.SpotCutOff = 81.39;
	Light_amb.SetDiffuseRGB(100,114,123);
	Light_amb.SetAmbientRGB(128,0,0);

	Light_amb.SetPosition(0,-150,0);
	Light_amb.SetRotation(0,0,90);
	Light_amb.SetScale(1,1,1);
	Light_amb.ShadowEnabled = false;
	Light_amb.Enabled = true
	
	
	Light_pool.Enabled = false

	Panel.SetPosition(11.8170003890991,85.188591003418,62.056999206543);

	
--Characters 
	Lee.SetPosition(95.6249694824219,110,-50.8660011291504);
	
	Sissy.SetPosition(48.0599250793457,110.000007629395,211.571228027344);
	Sissy.SetRotation(151.832382202148,0,0);
	
	Sissy.SpeechHeight = 100;

	
-- Meshes


	obWindow = TMesh.Create();
  obWindow.Load('Apartment/Windows.obj');
  --obWindow.SetPosition(-50.7,17.2,-70.5);
  obWindow.CastShadows = 0;

	obDoor = TMesh.Create();
  obDoor.Load('Apartment/door.obj');
	obDoor.SetPosition(47,0,216);
  obDoor.ReceiveShadows = 0;
	
	if Lyons ~= nil then
		Lyons.Visible = false;
	end
	if Olivetti ~= nil then
		Olivetti.Visible = false;
	end
	if Bouncer ~= nil then
		Bouncer.Visible = false;
	end
	if Duck ~= nil then
		Duck.Visible = false;
	end
	if SissyDead ~= nil then
		SissyDead.Visible = false;
	end
	if Chuck ~= nil then
		Chuck.Visible = false;
	end

	
	Mat.AddMaterial ('WindowsMat');
	Mat.ChangeTexture(Mat.MatID('WindowsMat'), 'Apartment/winapt.png');
	Mat.SetDiffuseColor (Mat.MatID('WindowsMat'), 255, 255, 255,0.5); 
	obWindow.ChangeMaterial ('WindowsMat', 0, 0); 

	
-- Misc   
 
   Game.LoadScript('scripts/ConvLee.lua');
	 Game.LoadScript('scripts/ConvPanel.lua');
   Game.CurrentTime = 0; -- Reset Game time    
   
   
--Dummies

	mtLift = TDummy.Create();
	mtLift.SetPosition(47.2999992370605,97.1999969482422,213.399993896484);

	mtPanel = TDummy.Create();
	mtPanel.SetPosition(11,116,61.2000007629395);

	mtBar = TDummy.Create();
	mtBar.SetPosition(15.6999998092651,114.199996948242,-195.899993896484);
	
	mtTurntable = TDummy.Create();
	mtTurntable.SetPosition(196.899993896484,214.600006103516,-81.6999969482422);
	
	mtWindow = TDummy.Create();
	mtWindow.SetPosition(128,179.600006103516,-188.800003051758);

	mtDesk = TDummy.Create();
	mtDesk.SetPosition(53.4000015258789,137.100006103516,-55.2999992370605);	
	
	mtLiftArea = TDummy.Create();
	mtLiftArea.SetPosition(168.600006103516,118.199996948242,197.5);
	mtLiftArea.SetScale(100,69.5999984741211,100);

	mtDeskArea = TDummy.Create();
	mtDeskArea.SetPosition(-6.59999990463257,133.600006103516,31.2999992370605);
	mtDeskArea.SetScale(100,70,100);

	mtBarArea = TDummy.Create();
	mtBarArea.SetPosition(-14.5,121.699996948242,-225.199996948242);

	mtBarArea.SetRotation(0,0,0);
	mtBarArea.SetScale(157.399993896484,70.3000030517578,98.8000030517578);

	Game.DisableScene = true
	

	FadeIn()
	
	if Game.GameLoading == "False" then
		Sound.Play(stack_entrance,1);
		Sound.SetVolume(stack_entrance,40);
		Game.SetTimer(Game.CurrentTime + 28,'EndStackMusic')	
	
		Game.SetTimer(Game.CurrentTime + 2,'OpenDoorApt')	
		Game.SetTimer(Game.CurrentTime + 4,'StackCutscene')
		--Game.SetTimer(Game.CurrentTime + 0.1,'OlivettiEnding')
		Game.SetTimer(Game.CurrentTime + 0.1,'PullOut')
	
	end
	
 end

 function EndStackMusic()
 Sound.Stop(stack_entrance);
 end
 
 function onApartmentProgress() --Here goes all script you want to repeatedly run
		
	if Game.DisableScene == "False" then --if Game isn't Paused
		

		if Distance (Sissy, Lee) < detectDistance then
		
			currentFocus = 'Lee';
			StatusLineText.Text = 'Stack-o-Lee';

		elseif Distance (Sissy, mtLift) < detectDistance then
		
			currentFocus = 'mtLift';
			StatusLineText.Text = 'Elevator';
			
		elseif Distance (Sissy, mtPanel) < detectDistance then
		
			currentFocus = 'mtPanel';
			
			StatusLineText.Text = 'Panel';

			elseif Distance (Sissy, mtTurntable) < 150 then
		
			currentFocus = 'mtTurntable';
			StatusLineText.Text = 'Turntable';
			
		elseif Distance (Sissy, mtBar) < 100 then
		
			currentFocus = 'mtBar';
			StatusLineText.Text = 'Bar';
		
		
		elseif Distance (Sissy, mtWindow) < 100 then
		
			currentFocus = 'mtWindow';
			StatusLineText.Text = 'Circular Window';
			
		elseif Distance (Sissy, mtDesk) < 150 then
		
			currentFocus = 'mtDesk';
			StatusLineText.Text = 'Desk';
		
		else		
			currentFocus = nil;
			StatusLineText.Text = '';
		end

		if Distance (Sissy, mtLiftArea) < 150 then
			Camera.SetPosition(54.1040649414063,105.264198303223,22.4364757537842, 1);
			Camera.SetTargetPosition(0,0,0);
			Camera.FollowActor(Sissy.ID);
			cameraPos = 'widelift'
			
		elseif Distance (Sissy, mtDeskArea) < 150 then 
			Camera.SetPosition(143.440505981445,119.778526306152,116.277976989746, 1);

			Camera.SetTargetPosition(0,0,0);
			Camera.FollowActor(Sissy.ID);
			cameraPos = 'widedesk'
			
		else
			Camera.SetPosition(160.33544921875,109.920433044434,-16.3956756591797, 1);

			Camera.SetTargetPosition(0,0,0);
			Camera.FollowActor(Sissy.ID);
			cameraPos = 'widebar'

			end
		if atBar == 1 then
			Lee.PointTo (Sissy.X, Lee.Y, Sissy.Z);
		end
		
	end
end
 
 function onApartmentUnload()

 end
 
 
  if GameGUICreated ~= 1 then
	 LoadGameGUI();
 end
 
--[[
initial closeup stack: 
 Camera.SetPosition(105.125411987305,114.619415283203,-15.8197956085205);
Camera.SetTargetPosition(96.0263900756836,114.608238220215,-33.2480316162109);

]]--


-- Camera Functions

function PullOut()
cutscene = 'StackEntrance'
Camera.SetPosition(130.425735473633,107.909301757813,-95.2243576049805,1);

end

function OpenDoorApt()
	obDoor.RunAnimation(LiftOpen.ID);
	Sissy.PointTo (Lee.X, Sissy.Y, Lee.Z)
end


function StacksceneCU()
	Camera.SetPosition(105.125411987305,114.619415283203,-15.8197956085205);
	Camera.SetTargetPosition(96.0263900756836,114.608238220215,-33.2480316162109);
	if co_drama ~= nil then
		coroutine.resume (co_drama)
	end
end
	
function LiftOSscene()
	Camera.SetPosition(105.125411987305,114.619415283203,-15.8197956085205);
	Camera.SetTargetPosition(75.6634063720703,112.096801757813,47.316032409668);
	if co_drama ~= nil then
		coroutine.resume (co_drama)
	end
end


--Cutscene

function StackCutscene()
	dramaCam(function()
		StacksceneCU()
		Sleep(0.5)
		Lee.Say ("Pleased to meet you.",3000);
		Sleep(0.5)
		Lee.Say ("Call me Stack.", 3000, 'LiftOSscene');
		coroutine.yield()
		Sleep(0.5)
		Sissy.Say ("I'm Sissy. O'Leary",3000, 'StacksceneCU');
		Lee.Say ("There's no call for\nbein' shy, now...")
		Lee.Say ("Why don't you come in?", 3000, 'LiftOSscene');
		Sissy.Say ("Okay...", 2000, 'SissyStartWalk');
	end)


end

function SissyStartWalk()
		Game.SetTimer(Game.CurrentTime + 0.1,'SissyEnter')
		Game.SetTimer(Game.CurrentTime + 1,'StackCutscene2')
end

function SissyEnter()
Sissy.Walk(81.6719970703125,110.000007629395,110.830001831055, 'SissyNear');

end

function SissyNear()
StacksceneCU()
Sissy.SetPosition(87.0289993286133,110.000480651855,-15.3780002593994);
Sissy.Walk(86.6289978027344,110.000061035156,-30.67799949646);
--obDoor.SetRotation(0,0,90);

end


function StackCutscene2()
	dramaCam(function()
		StacksceneCU()
		coroutine.yield()
		Sleep(2)
		Lee.Say ("Well, now...",3000);
		Sleep(0.5)
		Lee.Say ("I hear you're\nflavor of the month.",3000);
		Sissy.Say ("Uh....",2000);
		cutscene = 'none'
		Lee.Say ("Well, can I fix you a drink?", 3000, 'RunLeeDrink'); 
	end)
end

function RunLeeDrink()

startConv('LeeDrink')
end


function LyonsEnding()
	Lyons.SpeechHeight = 240;
	Sissy.SpeechHeight = 240;
	Game.DisableScene = true;
	Lyons.SetPosition(48.0599250793457,110.000007629395,211.571228027344);
	Lyons.SetRotation(178.130004882813,0,0);

	obDoor.SetRotation(0,0,90);

	Lyons.Visible = true;
	
	Lee.StandingAnimation = 'lee_stand_gun'; 
	
	Lyons.TalkingAnimation = 'lyons_talking_gun'; 
	
	Gun2.MoveToActorsHand (Lyons.ID);

	Gun2.SetPosition(0.899999976158142,1,0.5);
	Gun2.SetRotation(0,108.800003051758,0);
	Gun2.Visible=True;

	Gun1.MoveToActorsHand (Lee.ID);

	Gun1.SetPosition(0.899999976158142,1,0.5);
	Gun1.SetRotation(0,90,0);

	Gun1.Visible = true
	
	Sissy.WalkingAnimation = 'standing'; 
	Lee.WalkingAnimation = 'lee_standing'; 
	
	Sissy.SetPosition(34.6389999389648,110.000289916992,45.7991142272949);
	Sissy.SetRotation(30.7439994812012,0,0);
	
	Lee.SetPosition(61.6640014648438,110.000007629395,62.3650016784668);
	Lee.SetRotation(-88.5,0,0);

	Camera.FollowNone()
	Camera.SetPosition(22.3518123626709,124.216018676758,70.0296859741211);
	Camera.SetTargetPosition(79.9583435058594,98.2293701171875,31.3571872711182);

	
	Lee.Say ("What the hell d'you\nthink you're doin'?", 3000);
	Sissy.Say ("Um...", 2000, 'LyonsComeIn')

end

function LyonsComeIn()
	Camera.SetPosition(43.826717376709,118.881706237793,21.2746982574463);
	Camera.SetTargetPosition(43.6496963500977,107.015266418457,87.2328491210937);

	obDoor.RunAnimation(LiftOpen.ID);
	Game.SetTimer(Game.CurrentTime + 2,'LyonsEntrance')

end

function LyonsEntrance()
	dramaCam(function()
		Lyons.Say ("He's awake?", 3000, 'LyonsCUInLift')
		Lyons.StandingAnimation = 'lyons_standing_gun'; 
		coroutine.yield();
		Sissy.SetPosition(53.8390007019043,110.008506774902,45.7991142272949);
		Sissy.SetRotation(-3.75600004196167,0,0);

		Lee.SetPosition(80.6640014648438,110.000091552734,62.3650016784668);
		Lee.SetRotation(-88.5,0,0);

		Lyons.Say ("You tricked\nme you pig!", 3000, 'SissyCUBilly')
		coroutine.yield();
		Sissy.Say ("No, Billy!",3000, 'LyonsCUInLift')
		coroutine.yield();
		Sound.StopAll()
		Sound.Play(gunshot,1);
		Game.SetTimer(Game.CurrentTime + 1,'GunshotEnd')
		Sound.SetVolume(gunshot,40);
		Lyons.RunBoneAnimation('lyons_shoot', 'FadeToBlack', 80)
		EndType = 'shot'		
		Game.SetTimer(Game.CurrentTime + 4,'GoToEndScreen')

	end)
	

end

function GunshotEnd()
	Sound.Stop(gunshot);
end

function LyonsCUInLift()

	Camera.SetPosition(56.7136878967285,112.211135864258,179.948760986328);
	Camera.SetTargetPosition(53.3154220581055,113.071044921875,189.506698608398);
coroutine.resume (co_drama)
end
function SissyCUBilly()


Camera.SetPosition(54.6613807678223,116.526069641113,67.5916366577148);
Camera.SetTargetPosition(51.7080917358398,115.022583007813,56.5159339904785);
	coroutine.resume (co_drama)
end


function OlivettiEnding()

	Game.DisableScene = true;
	Olivetti.SetPosition(48.0599250793457,110.000007629395,211.571228027344);
	Olivetti.SetRotation(178.130004882813,0,0);

	obDoor.SetRotation(0,0,90);

	Olivetti.Visible = true;
	
	
	
	Lee.StandingAnimation = 'lee_stand_gun'; 
	
	
	Gun1.MoveToActorsHand (Lee.ID);

	Gun1.SetPosition(0.899999976158142,1,0.5);
	Gun1.SetRotation(0,90,0);

	Gun1.Visible = true
	
	Sissy.WalkingAnimation = 'standing'; 
	Lee.WalkingAnimation = 'lee_standing'; 
	
	Sissy.SetPosition(34.6389999389648,110.000289916992,45.7991142272949);
	Sissy.SetRotation(30.7439994812012,0,0);
	
	Lee.SetPosition(61.6640014648438,110.000007629395,62.3650016784668);
	Lee.SetRotation(-88.5,0,0);

	Camera.FollowNone()
	Camera.SetPosition(22.3518123626709,124.216018676758,70.0296859741211);
	Camera.SetTargetPosition(79.9583435058594,98.2293701171875,31.3571872711182);

	
	Lee.Say ("What the hell d'you\nthink you're doin'?", 3000);
	Sissy.Say ("Um...", 2000, 'OlivettiComeIn')
	
	CamLight.MoveToActorsHand (Olivetti.ID);
		CamLight.SetPosition(0.899999976158142,4,0.5);
		CamLight.SetRotation(90,90,0);
		


end

function OlivettiComeIn()

	Camera.SetPosition(43.826717376709,118.881706237793,21.2746982574463);
	Camera.SetTargetPosition(43.6496963500977,107.015266418457,87.2328491210937);

	obDoor.RunAnimation(LiftOpen.ID);
	Game.SetTimer(Game.CurrentTime + 2,'OlivettiSayHi')
	
end



function OlivettiSayHi()
	
	Olivetti.Say ("Hello, all.", 3000, 'OlivettiWalkIn');

	
end
function OlivettiWalkIn()
	dramaCam(function()
		Olivetti.Walk(48.2071838378906,110.000007629395,160.397064208984);
		Game.SetTimer(Game.CurrentTime + 0.75,'LeeReverseLift')
		coroutine.yield();
		Olivetti.ClearWalkPoints(); 
		Olivetti.SetPosition(68.9020004272461,110.000007629395,131.850006103516);
		Olivetti.SetRotation(-176.470001220703,0,0);
		Lee.Say ("You! Why ya-",3000, 'OlivettiCUOutLift');
		coroutine.yield();
		Olivetti.SpeechHeight = 240;
		Olivetti.Say ("Say 'Gouda'...", 3000, 'OlivettiTakePhotoEnd');
	end)
end
function OlivettiCUOutLift()

Camera.SetPosition(66.8425903320312,114.380447387695,84.1781921386719);
Camera.SetTargetPosition(65.9520950317383,113.563552856445,95.5956420898438);
coroutine.resume (co_drama)
end


function OlivettiTakePhotoEnd()
		Sound.StopAll()
		Sound.Play(cameraflash,1);
		Sound.SetVolume(cameraflash,40);
		Game.SetTimer(Game.CurrentTime + 2,'EndCameraSound')
		Lee.RunBoneAnimation('lee_shoot', 'none', 70)	
		Game.SetTimer(Game.CurrentTime + 2,'LeeFightDazzledCU')
		Game.SetTimer(Game.CurrentTime + 4.5,'LeeFight')
		
		
		CamLight.Visible = true;
		Olivetti.RunBoneAnimation('olivetti_photo', 'OlivettiEndTakePhotoEnd', 70)
		
end


function OlivettiEndTakePhotoEnd()
	CamLight.Visible = false;
	CamLight.MoveToRoom();
	Blackout.Load("GUI/white.png");
	Blackout.Visible = 1;
	BlackoutAlpha = 1;
	Blackout.RunAnimation(FadeOutAni.ID);
	Sound.StopAll()
	coroutine.resume (co_drama)
	
end

function OlivettiCUInLift()

	Camera.SetPosition(50.9597091674805,107.428909301758,166.011596679687);
	Camera.SetTargetPosition(50.748607635498,109.077690124512,187.926223754883);

	coroutine.resume (co_drama)
end

function LeeReverseLift()
	Lee.SetRotation(-21.7999992370605,0,0);
	Camera.SetPosition(41.4433631896973,113.754814147949,96.102653503418);
	Camera.SetTargetPosition(48.5790328979492,114.234680175781,64.5315475463867);
	coroutine.resume (co_drama)
end


function LeeFight()
	
	Lee.AddAnimation('Lee/lee_beaten.smd');
	Lee.AddAnimation('Lee/lee_KO.smd');
	Sissy.AddAnimation('Sissy/sissy_punch.smd');
	Olivetti.AddAnimation('Olivetti/olivetti_punch.smd');
	LeeFightAnim()
end

function LeeFightAnim()

	Game.SetTimer(Game.CurrentTime + 2,'LeePunches')
	Game.SetTimer(Game.CurrentTime + 3,'LeeHigh')
	Game.SetTimer(Game.CurrentTime + 4,'LeeHighJib')
	Game.SetTimer(Game.CurrentTime + 6,'SissySayThanks')
	Sissy.RunBoneAnimation('sissy_punch', 'y', 83)
	Olivetti.RunBoneAnimation('olivetti_punch', 'z', 90)
	Lee.RunBoneAnimation('lee_beaten','x', 89)
	Lee.StandingAnimation = 'lee_KO';

end

function LeeWideFight()

Camera.SetPosition(84.1368560791016,147.230819702148,105.742195129395);
Camera.SetTargetPosition(66.9055938720703,125.18913269043,84.0710830688477);

--coroutine.resume (co_drama)
end


function LeeFightDazzledCU()

	Camera.SetPosition(56.9589653015137,125.741027832031,81.3198318481445);
	Camera.SetTargetPosition(55.2078704833984,119.134300231934,63.9734191894531);


	Olivetti.SetPosition(52.0190010070801,110.001937866211,85.6159973144531);
	Olivetti.SetRotation(178.130004882813,0,0);


	Lee.SetPosition(56.6640014648438,110.000190734863,57.064998626709);
	Lee.SetRotation(-1.89999997615814,0,0);

	
	Sissy.SetPosition(41.4389991760254,110.000305175781,53.798999786377);
	Sissy.SetRotation(60.1440010070801,0,0);


end

function LeePunches()
Camera.SetPosition(22.4249229431152,120.875770568848,79.5873870849609);
Camera.SetTargetPosition(51.1191673278809,114.715431213379,61.2700309753418);
end


function LeeHigh()
Camera.SetPosition(69.2766189575195,211.356323242187,86.6763000488281);
Camera.SetTargetPosition(67.0549926757812,115.581550598145,58.5166320800781);

end

function LeeHighJib()

Camera.SetPosition(152.172790527344,118.312698364258,110.654388427734,1);
end

function SissySayThanks()
Olivetti.SpeechHeight = 200;
Sissy.SpeechHeight = 200;
	dramaCam(function()
		Olivetti.Say ("Nice right hook, Sis!",3000);
		Sissy.Say ("Did you get his picture?",3000);
		Olivetti.Say ("Yeah.",3000);
		Sissy.Say ("So you can\nprint your story?",3000)
		Sissy.Say ("And they'll\nput him away?",3000)
		Sleep (1)
		Olivetti.Say ("Hey, I guess so!",3000,'LowAngleLee');
		coroutine.yield();
		Sleep (1)
		Sissy.Say ("You know...",3000)
		Sleep (2)
		Olivetti.Say ("Yeah?",3000);
		Sleep (2)
		Sissy.Say ("It ain't all\nthat nice a hat.",3000)
		Blackout.Load("GUI/black.png");
		EndType = 'good'
		Game.SetTimer(Game.CurrentTime + 4,'FadeToBlack')		
		Game.SetTimer(Game.CurrentTime + 7,'GoToEndScreen')		
	end)

end


function GoToEndScreen()

	Endscreen.Load()


end

function LowAngleLee()

Sissy.SetRotation(143.839996337891,0,0);

Camera.SetPosition(86.7779388427734,95.830192565918,-6.17243099212647);
Camera.SetTargetPosition(55.3992118835449,99.5973129272461,29.4532871246338);
coroutine.resume (co_drama);
end


--Interactions

function onmtLiftExamine()
	Sissy.Say ("There's no call\nbutton here too.", 3000)
	
end

function onmtLiftInteract()
	Sissy.Say ("Reckon I'm\nstuck up here.", 3000)
end

function onmtLiftUseInv()
	UseInvFail();
end


function onmtPanelExamine()
	Sissy.Say ("Six speakers\nand six buttons...", 3000);
	
end

function onmtPanelInteract()
	
	if atTurntable == 1 then
		startConv ('SissyToPanel');
	
	
	else
		Game.DisableScene = true;
		StatusLineText.Text = ''
		Lee.SpeechHeight = 240;
		Lee.SetPosition(31.6871070861816,110,-160.550888061523);
		Lee.SetRotation(9.3100004196167,0,0);
		Camera.FollowNone (); 
		Camera.SetPosition(52.976245880127,116.024215698242,-110.321891784668);
		Camera.SetTargetPosition(44.9001426696777,114.950225830078,-119.83422088623);
		Lee.Say ("Hey! Don't mess\nwith that, girl.", 3000, 'PanelWarningOver')
		
	end
	
end

function onmtPanelUseInv()
	UseInvFail();
end


function onmtBarExamine()
	Sissy.Say ("Holy- I never seen\nso much good liquor.", 3000);
end

function onmtBarInteract()

	if atTurntable == 1 then
			Game.DisableScene = 1
			Camera.FollowNone();
			Lee.SetRotation(39.1100006103516,0,0);
			Camera.SetPosition(138.464721679688,114.775001525879,-84.8637619018555);
			Camera.SetTargetPosition(141.916549682617,113.820861816406,-95.5706100463867);
			Lee.Say ("Don't mess around when\nI can't see ya.", 3000);
			Lee.Say ("Them bottles ain't cheap.", 3000, 'BackToGameAfterWarning');
	else
		Sissy.Say ("I wish I could pocket\na coupla bottles.", 3000);
	end
end

function BackToGameAfterWarning()
	Lee.SetRotation(95.6100006103516,0,0);
	Camera.SetPosition(160.33544921875,109.920433044434,-16.3956756591797);
	Camera.SetTargetPosition(0,0,0);
	Camera.FollowActor(Sissy.ID);
	cameraPos = 'widebar'
	Game.DisableScene = 0

end


function onmtBarUseInv()
	UseInvFail();
end


function onmtTurntableExamine()

	Sissy.Say ("An Airrola Record Player.", 3000);
	
	if seenTurnTable == 0 then
		 seenTurnTable = 1;
	end
	
	if turntablePlaying == 'none' then	
		Sissy.Say ("It ain't on.", 3000);
	else
		Sissy.Say ("It's playing.", 3000);
	end
	
end

function onmtTurntableInteract()
	if seenTurnTable == 0 then
		 seenTurnTable = 1;
	end
	Sissy.Say ("Too expensive to touch.", 3000);
	
end

function onmtTurntableUseInv()

	UseInvFail();
	
end


function onmtWindowExamine()
	Sissy.Say ("I see the fountain.", 3000);
end

function onmtWindowInteract()
	
	Game.DisableScene = 1;
	StatusLineText.Text = '';
	Camera.FollowNone()
	Camera.SetPosition(139.466323852539,111.150299072266,-212.838684082031);
	Camera.SetTargetPosition(35.2950630187988,116.611061096191,-125.842910766602);
	Lee.PointTo (Sissy.X, Lee.Y, Sissy.Z);
	Sissy.SetPosition(117.882545471191,110,-187.610229492187);
	Sissy.SetRotation(130.698455810547,0,0);
	Sissy.WalkingAnimation = 'standing'
	
	Game.SetTimer(Game.CurrentTime + 1,'WindowTrack')
	
end



function WindowTrack()

	Camera.SetPosition(218.459381103516,107.009582519531,-278.8076171875,1);

	Game.SetTimer(Game.CurrentTime + 3,'WindowView')

end

function WindowView()

Sissy.Say ("What am I doing?", 3000, 'EndWindow');

end

function EndWindow()
	Camera.SetPosition(160.33544921875,109.920433044434,-16.3956756591797)
	Camera.SetTargetPosition(0,0,0);
	Camera.FollowActor(0);
	Game.DisableScene = 0;
	Sissy.WalkingAnimation = 'walking'
end

function onmtWindowUseInv()
	UseInvFail();
end


function onmtDeskExamine()
	
	
	
	if atBar == 1 then
		dramaCam(function()
			Sissy.Say ("Guess this is where\nhe does business.", 3000, 'CutToLeeBar');
			coroutine.yield();
			Lee.Say ("If you wanna see where\nthe business happens...", 3000);
			Lee.Say ("...lemme take ya next door.", 3000, 'BackToApt');
			coroutine.yield();
			Sissy.Say ("*Shudder*", 3000);
		end)
	else
		Sissy.Say ("Guess this is where\nhe does business.", 3000);
	end
end

function CutToLeeBar()
	Game.DisableScene = 1
	Lee.SpeechHeight = 300;
	Lee.SetPosition(31.7494449615479,110,-161.110122680664);
	Camera.FollowNone();
	Camera.SetPosition(35.5240516662598,114.086006164551,-122.518753051758);
	Camera.SetTargetPosition(36.1479568481445,114.086296081543,-127.579650878906);
	coroutine.resume (co_drama);
end

function BackToApt()
	Camera.SetPosition(143.440505981445,119.778526306152,116.277976989746);

	Camera.SetTargetPosition(0,0,0);
	Camera.FollowActor(Sissy.ID);
	Game.DisableScene = 0
	Lee.SpeechHeight = 200;
	coroutine.resume (co_drama);
end

function onmtDeskInteract()
	Sissy.Say ("I didn't bring\nno paper work");
end

function onmtDeskUseInv()
	UseInvFail();
end

function PanelWarningOver()
	Camera.SetPosition(143.440505981445,119.778526306152,116.277976989746)
	Camera.SetTargetPosition(0,0,0);
	Camera.FollowActor(0);
  Game.DisableScene = 0;
	Lee.SpeechHeight = 200;
end