-- Initialize Conversation object

function InitConv_TryAgain()

	Game.DisableScene = 1;
	
	NewConv.ClearNodes();
	ConvBackground.Visible = 1;
	ConvBackground.Alpha = 0.7;
 
	TryAgainOptions = NewConv.AddNode();
 
	NewConv.AddOption(TryAgainOptions, "Try that again...", 'TryAgain');
	NewConv.AddOption(TryAgainOptions, "Load",'AskLoad');
	NewConv.AddOption(TryAgainOptions, "Quit",'AskQuit');
	
	
	QuitOptions = NewConv.AddNode();
 
	NewConv.AddOption(QuitOptions, "That's right, sister.",'ChooseQuit');
	NewConv.AddOption(QuitOptions, "No way.",'BackToTry');	
			
	LoadOptions = NewConv.AddNode();
	
	NewConv.AddOption(LoadOptions, "Load",'ChooseLoad');
	NewConv.AddOption(LoadOptions, "Cancel",'BackToTry');	
	
	
	
	NewConv.ShowNode(TryAgainOptions)

end

function InitConv_PressEscape()

	Game.DisableScene = 1;
	
	NewConv.ClearNodes();
	ConvBackground.Visible = 1;
	ConvBackground.Alpha = 0.7;
 
	PressEscapeOptions = NewConv.AddNode();
 
	NewConv.AddOption(PressEscapeOptions, "Play",'ContinueGame');
	NewConv.AddOption(PressEscapeOptions, "Save",'AskSave');
	NewConv.AddOption(PressEscapeOptions, "Load",'AskLoad');
	NewConv.AddOption(PressEscapeOptions, "Quit",'AskQuit');	
	
	QuitOptions = NewConv.AddNode();
 
	NewConv.AddOption(QuitOptions, "That's right, sister.",'ChooseQuit');
	NewConv.AddOption(QuitOptions, "No way.",'ContinueGame');	
	
	SaveOptions = NewConv.AddNode();
	
	NewConv.AddOption(SaveOptions, "Save",'ChooseSave');
	NewConv.AddOption(SaveOptions, "Cancel",'ContinueGame');	

		
	LoadOptions = NewConv.AddNode();
	
	NewConv.AddOption(LoadOptions, "Load",'ChooseLoad');
	NewConv.AddOption(LoadOptions, "Cancel",'ContinueGame');	
	
	NewConv.ShowNode(PressEscapeOptions)

end


-- Show Node Functions

function AskQuit()
	NewConv.HideNodes();
	if Sissy.Visible == "True" then 
		Sissy.Say ("You quittin' on me?", 3000);
	end
	
	NewConv.ShowNode(QuitOptions)
	
end

function AskLoad()
NewConv.HideNodes();
	NewConv.ShowNode(LoadOptions)
	
end

function AskSave()
NewConv.HideNodes();
	NewConv.ShowNode(SaveOptions)
	
end

function ChooseQuit()
hideConv()
Game.Close()
end

function ChooseSave()
ContinueGame()
SaveGame()

end

function ChooseLoad()
Blackout.Visible = 1
Blackout.Alpha = 1
Sound.StopAll()
LoadGame()
end


function TryAgain() 
	Game.LoadGame('stack_restore.sav');
	
end

function BackToTry() 
NewConv.HideNodes();
	NewConv.ShowNode(TryAgainOptions)
end

-- Hide / Exit Functions

function ContinueGame()
hideConv()
 ConvBackground.Visible = 0;

 GUIActive = true;
	Game.DisableScene = 0;
 -- Were are done, enable scene
	
end

function hideConv()
	ConvBackground.Visible = 0;
  NewConv.HideNodes();
end